<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\ParcelShop;

final class CParcelShop2HolidaysArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\ParcelShop\CParcelShop2Holidays
     */
    private $items;

    public function getItems(): CParcelShop2Holidays
    {
        return $this->items;
    }

    public function withItems(CParcelShop2Holidays $items): CParcelShop2HolidaysArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
